Package org.opensaml.soap.wsfed.impl

# Class AppliesToImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.soap.wsfed.impl.AppliesToImpl

All Implemented Interfaces:
  `XMLObject`, `AppliesTo`, `WSFedObject`

public class AppliesToImpl extends AbstractXMLObject implements AppliesTo
Implementation of the `AppliesTo` Object.

## Field Summary

Fields
Modifier and Type
Field
Description
`private EndPointReference`
`endpointReference`
Endpoint reference.

### Fields inherited from interface org.opensaml.soap.wsfed.AppliesTo

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AppliesToImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`EndPointReference`
`getEndPointReference()`
Gets the endpoint reference of the entity applicable entity.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`void`
`setEndPointReference(EndPointReference reference)`
Sets the endpoint reference of the entity applicable entity.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### endpointReference

@Nullable private EndPointReference endpointReference
Endpoint reference.

## Constructor Details

### AppliesToImpl

protected AppliesToImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getEndPointReference

@Nullable public EndPointReference getEndPointReference()
Gets the endpoint reference of the entity applicable entity.

Specified by:
  `getEndPointReference` in interface `AppliesTo`
Returns:
  the endpoint reference of the entity applicable entity

### setEndPointReference

public void setEndPointReference(@Nullable EndPointReference reference)
Sets the endpoint reference of the entity applicable entity.

Specified by:
  `setEndPointReference` in interface `AppliesTo`
Parameters:
  `reference` - the endpoint reference of the entity applicable entity

### getOrderedChildren

@Nullable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements